StarTable Class Reference

class to store a table in a sdw file More...

`#include <StarTable.hxx>`

## Public Member Functions

| StarTable ()
| the constructor
| ~StarTable ()
| the destructor
bool | read (StarZone &zone, StarObjectText &object)
| try to read the data
bool | send (STOFFListenerPtr listener, StarState &state) const
| try to send the data to a listener

## Public Attributes

std::shared_ptr< StarTableInternal::Table > | m_table
| the table

## Detailed Description

class to store a table in a sdw file

## Constructor & Destructor Documentation

## StarTable()

StarTable::StarTable | ( |  | ) |

the constructor

## ~StarTable()

StarTable::~StarTable | ( |  | ) |

the destructor

## Member Function Documentation

## read()

bool StarTable::read | ( | StarZone & | zone,
|  | StarObjectText & | object )

try to read the data

## send()

bool StarTable::send | ( | STOFFListenerPtr | listener,
|  | StarState & | state ) const

try to send the data to a listener

## Member Data Documentation

## m_table

std::shared_ptr<StarTableInternal::Table> StarTable::m_table

the table

Referenced by read(), send(), and StarTable().

The documentation for this class was generated from the following files:

- StarTable.hxx
- StarTable.cxx